%global xdg_desktop_portal_version 1.5.4

Name:           xdg-desktop-portal-gtk
Version:        1.14.1
Release:        %mkrel 1
Summary:        Back-end implementation for xdg-desktop-portal using GTK+
Group:          Graphical desktop/GNOME
License:        LGPLv2+
URL:            https://github.com/flatpak/%{name}
Source0:        https://github.com/flatpak/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  systemd
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(xdg-desktop-portal) >= %{xdg_desktop_portal_version}
Requires:       dbus
Requires:	gsettings-desktop-schemas
Requires:       xdg-desktop-portal >= %{xdg_desktop_portal_version}
%{?systemd_requires}
# Use rich deps to pull in this package when flatpak and gtk3 are both installed
# Add back when urpmi will handle rich deps
#Supplements:    (flatpak and gtk+3.0)
Recommends: 	flatpak

%description
A back-end implementation for xdg-desktop-portal that is using GTK+.


%prep
%autosetup -p1


%build
# All backends that are disabled are instead provided by
# xdg-desktop-portal-gnome, to keep this package free of GNOME dependencies.
%configure \
    --disable-silent-rules \
    --enable-appchooser \
    --enable-settings \
    --disable-background \
    --disable-screencast \
    --disable-screenshot \
    --disable-wallpaper
%make_build


%install
%make_install
%find_lang %{name}


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service


%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_libexecdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.gtk.service
%{_datadir}/xdg-desktop-portal/portals/gtk.portal
%{_userunitdir}/%{name}.service





%changelog
* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.14.1-1.mga9
+ Revision: 1919924
- 1.14.1

* Thu Aug 11 2022 neoclust <neoclust> 1.14.0-1.mga9
+ Revision: 1877010
- New version 1.14.0

* Thu Mar 31 2022 umeabot <umeabot> 1.12.0-2.mga9
+ Revision: 1835718
- Mageia 9 Mass Rebuild

* Fri Dec 31 2021 luigiwalser <luigiwalser> 1.12.0-1.mga9
+ Revision: 1765615
- 1.12.0

* Mon Sep 27 2021 luigiwalser <luigiwalser> 1.10.0-1.mga9
+ Revision: 1746757
- 1.10.0

* Tue Jan 26 2021 neoclust <neoclust> 1.8.0-2.mga8
+ Revision: 1673569
- Require flatpak

* Wed Oct 14 2020 luigiwalser <luigiwalser> 1.8.0-1.mga8
+ Revision: 1636021
- 1.8.0

* Tue Aug 18 2020 ovitters <ovitters> 1.7.1-2.mga8
+ Revision: 1614784
- rebuild for flatpak

* Sat Mar 28 2020 daviddavid <daviddavid> 1.7.1-1.mga8
+ Revision: 1561300
- new version: 1.7.1
- remove merged upstream patch

* Tue Mar 10 2020 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1555247
- new version: 1.6.0
- backport support for mutter screencast API version 3

* Sat Feb 15 2020 umeabot <umeabot> 1.4.0-2.mga8
+ Revision: 1526657
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jun 15 2019 ngompa <ngompa> 1.4.0-1.mga7
+ Revision: 1400066
- Rebase to v1.4.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9-2.mga7
+ Revision: 1301833
- Mageia 7 Mass Rebuild

* Mon Feb 12 2018 ngompa <ngompa> 0.9-1.mga7
+ Revision: 1200589
- Update to 0.9

* Sun Apr 02 2017 ngompa <ngompa> 0.6-1.mga6
+ Revision: 1095719
- Update to 0.6

* Wed Dec 14 2016 ngompa <ngompa> 0.3-2.mga6
+ Revision: 1074888
- imported package xdg-desktop-portal-gtk


* Tue Dec 13 2016 Neal Gompa <ngompa13@gmail.com> - 0.3-2
- Port to Mageia

* Fri Sep 02 2016 David King <amigadave@amigadave.com> - 0.3-1
- Update to 0.3

* Fri Jul 29 2016 David King <amigadave@amigadave.com> - 0.2-1
- Update to 0.2 (#1361576)

* Wed Jul 13 2016 David King <amigadave@amigadave.com> - 0.1-1
- Initial Fedora packaging
